package com.mvc.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-07-02 11:30:08
*/
public class TPipelineLeakage implements Serializable {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 遥测站编码
     */
    private String stationCode;

    /**
     * 单位编号(设备划分后产生)
     */
    private String unitCode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 测量前远程配置表ID
     */
    private Integer preTaskId;

    /**
     * 测量后远程配置表ID
     */
    private Integer postTaskId;

    /**
     * 起始,读数表ID
     */
    private Integer startAireadId;

    /**
     * 结束,读数表ID
     */
    private Integer endAireadId;

    /**
     * 起始用量
     */
    private BigDecimal startUsage;

    /**
     * 结束用量
     */
    private BigDecimal endUsage;

    /**
     * 用水差额
     */
    private BigDecimal usageDifference;

    /**
     * 漏损率(%)
     */
    private BigDecimal leakageRate;

    /**
     * 任务状态(0未执行,1进行中,2已完成,3已取消,4失败)
     */
    private Byte taskStatus;

    /**
     * 测量间隔(默认30分钟)
     */
    private Integer measurementInterval;

    /**
     * 测量日期
     */
    private Date measurementDate;

    /**
     * t_pipeline_leakage
     */
    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Integer getPreTaskId() {
        return preTaskId;
    }

    public void setPreTaskId(Integer preTaskId) {
        this.preTaskId = preTaskId;
    }

    public Integer getPostTaskId() {
        return postTaskId;
    }

    public void setPostTaskId(Integer postTaskId) {
        this.postTaskId = postTaskId;
    }

    public Integer getStartAireadId() {
        return startAireadId;
    }

    public void setStartAireadId(Integer startAireadId) {
        this.startAireadId = startAireadId;
    }

    public Integer getEndAireadId() {
        return endAireadId;
    }

    public void setEndAireadId(Integer endAireadId) {
        this.endAireadId = endAireadId;
    }

    public BigDecimal getStartUsage() {
        return startUsage;
    }

    public void setStartUsage(BigDecimal startUsage) {
        this.startUsage = startUsage;
    }

    public BigDecimal getEndUsage() {
        return endUsage;
    }

    public void setEndUsage(BigDecimal endUsage) {
        this.endUsage = endUsage;
    }

    public BigDecimal getUsageDifference() {
        return usageDifference;
    }

    public void setUsageDifference(BigDecimal usageDifference) {
        this.usageDifference = usageDifference;
    }

    public BigDecimal getLeakageRate() {
        return leakageRate;
    }

    public void setLeakageRate(BigDecimal leakageRate) {
        this.leakageRate = leakageRate;
    }

    public Byte getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Byte taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Integer getMeasurementInterval() {
        return measurementInterval;
    }

    public void setMeasurementInterval(Integer measurementInterval) {
        this.measurementInterval = measurementInterval;
    }

    public Date getMeasurementDate() {
        return measurementDate;
    }

    public void setMeasurementDate(Date measurementDate) {
        this.measurementDate = measurementDate;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", stationCode=").append(stationCode);
        sb.append(", unitCode=").append(unitCode);
        sb.append(", createTime=").append(createTime);
        sb.append(", createMan=").append(createMan);
        sb.append(", preTaskId=").append(preTaskId);
        sb.append(", postTaskId=").append(postTaskId);
        sb.append(", startAireadId=").append(startAireadId);
        sb.append(", endAireadId=").append(endAireadId);
        sb.append(", startUsage=").append(startUsage);
        sb.append(", endUsage=").append(endUsage);
        sb.append(", usageDifference=").append(usageDifference);
        sb.append(", leakageRate=").append(leakageRate);
        sb.append(", taskStatus=").append(taskStatus);
        sb.append(", measurementInterval=").append(measurementInterval);
        sb.append(", measurementDate=").append(measurementDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}